Bug 842667 - Review Request: simple - Asynchronous HTTP server for Java
Summary: Review Request: simple - Asynchronous HTTP server for Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-24 12:32 UTC by gil cattaneo
Modified: 2012-08-19 00:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-19 00:28:02 UTC
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-07-24 12:32:38 UTC
Spec URL: http://gil.fedorapeople.org/simple.spec
SRPM URL: http://gil.fedorapeople.org/simple-4.1.21-1.fc16.src.rpm
Description: Simple is a high performance asynchronous HTTP server for Java.
Fedora Account System Username: gil
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4325442

Comment 1 Danishka Navin 2012-07-27 08:47:27 UTC
Here is my unofficial review


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint simple-4.1.21-1.fc18.noarch.rpm

simple.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint simple-javadoc-4.1.21-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simple-4.1.21-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/842667/simple-4.1.21.tar.gz :
  MD5SUM this package     : c7b22ff951e9ffab36954ea93bbbcf28
  MD5SUM upstream package : 34a153fb7f0b224cffeabaf8cd1b0b00
/home/danishka/842667/simple-4.1.21.pom :
  MD5SUM this package     : f1a5165bed45f4b63f1dc5031f81e469
  MD5SUM upstream package : f1a5165bed45f4b63f1dc5031f81e469

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[ ]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[ ]: SHOULD Package has BuildArch: noarch (if possible)
[ ]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[ ]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[ ]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint simple-4.1.21-1.fc18.noarch.rpm

simple.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint simple-javadoc-4.1.21-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simple-4.1.21-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/842667/simple-4.1.21.tar.gz :
  MD5SUM this package     : c7b22ff951e9ffab36954ea93bbbcf28
  MD5SUM upstream package : 34a153fb7f0b224cffeabaf8cd1b0b00
/home/danishka/842667/simple-4.1.21.pom :
  MD5SUM this package     : f1a5165bed45f4b63f1dc5031f81e469
  MD5SUM upstream package : f1a5165bed45f4b63f1dc5031f81e469



Generated by fedora-review 0.1.2

Comment 2 gil cattaneo 2012-07-27 10:41:50 UTC
>[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
>/home/danishka/842667/simple-4.1.21.tar.gz :
>  MD5SUM this package     : c7b22ff951e9ffab36954ea93bbbcf28
>  MD5SUM upstream package : 34a153fb7f0b224cffeabaf8cd1b0b00
hi
where did you get the source tarball?
if is different by http://sourceforge.net/projects/simpleweb/files/simpleweb/4.1.21/simple-4.1.21.tar.gz should cause this inconvenience
md5sum /home/gil/rpmbuild/SOURCES/simple-4.1.21.tar.gz
c7b22ff951e9ffab36954ea93bbbcf28  /home/gil/rpmbuild/SOURCES/simple-4.1.21.tar.gz

Comment 3 gil cattaneo 2012-08-03 07:24:11 UTC
see in http://sourceforge.net/projects/simpleweb/files/simpleweb/4.1.21/
chose simple-4.1.21.tar.gz and click on "i" (info ico-info, view details)

SHA1:e71731163f01fc11b01d46f66828e031048fbaa7
MD5: c7b22ff951e9ffab36954ea93bbbcf28

Comment 4 Mikolaj Izdebski 2012-08-08 16:15:14 UTC
Since this bug is in NEW state, assigned to nobody, and fedora-review flag is clear, I am assuming this bug isn't under review and hereby taking this review.

Comment 5 gil cattaneo 2012-08-08 16:50:20 UTC
removed reference to bug id #809950. simple is required by gradle >= 1.1

Comment 6 Mikolaj Izdebski 2012-08-08 17:27:56 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: simple-javadoc-4.1.21-1.fc19.noarch.rpm
          simple-4.1.21-1.fc19.src.rpm
          simple-4.1.21-1.fc19.noarch.rpm
simple-javadoc.noarch: I: enchant-dictionary-not-found en_US
simple.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Issues
------

[!]: MUST License file installed when any subpackage combination is installed.

Please install LICENSE files. See:
https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

[!]: MUST Spec file is legible and written in American English.

It's enough to use one build method. Keep either one.

Comment 7 gil cattaneo 2012-08-08 18:23:12 UTC
Spec URL: http://gil.fedorapeople.org/simple/1/simple.spec
SRPM URL: http://gil.fedorapeople.org/simple/1/simple-4.1.21-2.fc16.src.rpm
- Removed maven part
- Installed license file

Comment 8 Mikolaj Izdebski 2012-08-09 14:22:16 UTC
Don't install LGPL license -- it's not required.
You need to install ASL 2.0 license text as requirement of point 4a of the license.
Adding a line like this and installing the file should be enough:
> Source2: http://www.apache.org/licenses/LICENSE-2.0.txt

Comment 9 gil cattaneo 2012-08-09 15:09:52 UTC
Spec URL: http://gil.fedorapeople.org/simple/2/simple.spec
SRPM URL: http://gil.fedorapeople.org/simple/2/simple-4.1.21-3.fc16.src.rpm
- Installed proper license file

Comment 10 Mikolaj Izdebski 2012-08-10 13:39:44 UTC
Seems to be OK now.
Approved.

Comment 11 gil cattaneo 2012-08-10 13:48:06 UTC
New Package SCM Request
=======================
Package Name: simple
Short Description: Asynchronous HTTP server for Java
Owners: gil
Branches: f17 f18
InitialCC: java-sig

Comment 12 Gwyn Ciesla 2012-08-10 13:55:34 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-08-10 16:32:42 UTC
simple-4.1.21-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/simple-4.1.21-3.fc17

Comment 14 Fedora Update System 2012-08-10 22:31:57 UTC
simple-4.1.21-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 15 Fedora Update System 2012-08-19 00:28:02 UTC
simple-4.1.21-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.